<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Conjecture - Download</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-15">
  <!-- link rel="icon" href="conjecture.ico" type="image/x-icon" -->
  <!-- link rel="shortcut icon" href="conjecture.ico" type="image/x-icon" -->
  <link rel="stylesheet" href="style.css" type="text/css" title="plain">
</head>
<body>
<table class="nopad" align="left" border="0" cellpadding="0"
 cellspacing="0" width="100%">
  <tbody>
    <tr>
      <td class="nopad">
<?php 
 $mainvalue='Download';
 $subvalue='';
 include_once("header.php");
?>
      </td>
    </tr>
    <tr>
      <td>
      
      <table class="nopad" align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tbody>
          <tr valign="top">
            <td class="content">

<a name="requirements"></a>
<h2>Requirements</h2>
  <blockquote>
    <p>
      TODO            
    </p>
  </blockquote>

<a name="installation"></a>
<h2>Installation</h2>
  <blockquote>
    <p>
    The Conjecture environment currently requires the following
    process to install:
    </p>

    <ol>
      <li> Obtain the source:
        <ul>
          <li>From the latest stable release, available as <a
              HREF="/conjecture/release/Conjecture-current.tgz">
              Conjecture-current.tgz</A> (older releases are also <A
              HREF="/conjecture/release">available</A>).
<pre>
% cd &lt;somedir&gt;
% wget http://www.holst.ca/conjecture/release/Conjecture-current.tgz
% ln -s Conjecture-&lt;version&gt; Conjecture
</pre>
          </li>

          <li>From the <A HREF="#svn">SVN repository</A>:
<pre>
% cd &lt;somedir&gt;
% svn checkout --username &lt;username&gt; 
               --password &lt;password&gt; 
               svn://www.holst.ca/Conjecture
% export CONJECTURE=&lt;somedir&gt;/Conjecture
</pre>
           </li>

        </ul>
      </li>
      <li> Update environment variables:
        <ul>
           <li> Set <code>CONJECTURE</code> to <code>&lt;somedir&gt;/Conjecture</code>
           <li> Add <code>$CONJECTURE/bin</code> to your <code>PATH</code> environment variable
           <li> Add <code>$CONJECTURE/lib/perl</code> to your <code>PERLLIB</code> environment variable
        </ul>
      </li>
      <li> Compile the source code:
<pre>
% cd $CONJECTURE
% make
</pre>         
      </li>

      <li> Run the test harness verification suite:
<pre>
% cd $CONJECTURE
% make verify
</pre>         
      </li>
    </ol>

    <p><b>NOTE:</b> <code>&lt;somedir&gt;</code> is an arbitrary
    directory of your choice on your computer.
    </p>

    <p><b>NOTE:</b> An <code>autoconf</code> compilation environment
    will be provided in a future release.
    </p>

  </blockquote>
          
<a name="svn"></a>      
<h2>Downloading from the SVN Repository</h2>
  <blockquote>

    <p>You can download the latest Conjecture source code from the
    SVN repository:

    <ul>
      <li> Verify that you have <code>svn</code> installed.</li>

      <li> Send a request to <A
      HREF="mailto:conjecture-devel@lists.corollarium.com">conjecture-devel@lists.corollarium.com</A>
      for read/write access to the repository. Please specify what
      username you would like (this username will show in SVN log
      messages, etc.)</li>

      <li> Wait for an email response to your request, which will provide you with
       a password.</li>

      <li> Perform the following commands:
<pre>
% cd &lt;somedir&gt;
% svn checkout --username &lt;username&gt; 
               --password &lt;password&gt;
               svn://www.holst.ca/Conjecture
</pre>
      </li>

      <li> NOTE: Once the repository is checked out into
      <code>&lt;somedir&gt;/Conjecture</code>, you will never need to
      enter your username and password again within that working
      directory.  You will be able to update and commit as much as you
      want.

    </ul>
  </blockquote>

<h2>Downloading Binaries</h2><a name="binaries"></a>
  <blockquote>
    <p>
    TODO            
    </p>
  </blockquote>
                
            </blockquote>
            </td>

            <!-- begin side bar -->
            <td class="right" width="200">
<?php 
 include_once("sidebar.php");
?>

            </td>
            
            <!-- end side bar -->

          </tr>
      </table>
      </td>
    </tr>
    <tr>
      <td class="nopad">
<?php 
 include_once("footer.php");
?>
      </td>
    </tr>
  </tbody>
</table>



</body>
</html>
