# ifndef Conjecture_FormatComponent_h
# define Conjecture_FormatComponent_h Conjecture_FormatComponent_h

// Insert SVN header substitution variable here
// Created by wade
// Class Champion: Unassigned

# include "Component.h" // parent

namespace Conjecture {
    class Page;

    /** *****************************************************************
     * \class FormatComponent
     *
     * \brief The abstract superclass of a hierarchy of classes
     * implementing the 'format' algorithm, which is minimally
     * responsible for generating properly positioned unicode text
     * output.
     *
     * This algorithm is the first one called by StandardProcess.
     *
     ********************************************************************/
    
    class FormatComponent : public Component {
      public:
	// Constructors/Destructors
	FormatComponent();
	virtual bool execute(Page* page) = 0;
    };
}

# endif // Conjecture_FormatComponent_h

