using namespace std;
# include <iostream>
# include "FastWallTimer.h"

// ####################################################################
// # Conjecture: An Extensible Optical Character Recognition Framework  #
// #                                                                  #
// # Copyright: Lesser GNU Public License (LGPL)                      #
// #                                                                  #
// # Overview:                                                        #
// #  - Conjecture is a collection of C++ classes, and an OCR engine    #
// #  - Conjecture is designed to allow customization at all levels     #
// #    and to encourage individuals to contribute incremental        #
// #    improvements in algorithms.                                   #
// #  - Overall design discussions can be found in                    #
// #      $SNROOT/docs/doxygen/html/index.html                        #
// #  - Conjecture is designed to interact with and build on other      #
// #    open-source OCR programs.                                     #
// ####################################################################

namespace Conjecture {

#ifdef HAVE_RDTSC

    FastWallTimer::FastWallTimer() : _running(false), _start(0), _end(0) {
    // Default Constructor
    }
#endif //HAVE_RDTSC


}; // namespace
