package XFig::Spline;
use strict;

=head1 NAME

XFig::Spline -

=head1 SYNOPSIS

use XFig::Spline ();

=head1 DESCRIPTION


=head1 NOTES


=head1 EXAMPLES


=head1 IMPLEMENTATION

=cut

use Carp;                      # everyone gets Carp!
use IO::File;                  # everyone gets IO::File!
use IO::File;
use XFig::CurvedShapeObject;
use vars qw(@ISA $VERSION @EXPORT @EXPORT_OK);
@ISA = qw(XFig::CurvedShapeObject);
$VERSION = '0.01';

####################### Package Global Variables ###################
use vars qw();




############################# Raw Code  ############################
				      
				      
########################## Class Methods ###########################

#line 2754 "fig.pxx"
sub new {
    carp('Usage: XFig::Spline::new(class, args)') unless (@_ == 2);
    my($class) = $_[0]; CORE::ref($class) eq '' or carp(sprintf('XFig::Spline::new: ref($class) = %s instead of .', CORE::ref($class))); 
    my($args) = $_[1]; ((!$args) || (CORE::ref($args) eq 'HASH')) or carp(sprintf('XFig::Spline::new: ref($args) = %s instead of HASH.', ref($args))); 
#line 2755 "fig.pxx"
    $args->{object_code} = 3;
    my $self = $class->SUPER::new($args);
    $self->initFIelds($args, qw(forward_arrow backward_arrow npoints points));
    return $self;
}

########################## Instance Methods ########################

###
# Accessors
#line 2750 "fig.pxx"
sub addPoint             {  push(@{$_[0]->{points}}, $_[1]);  }
#line 2747 "fig.pxx"
sub backward_arrow       {  return ( $#_ == 0 ) ? $_[0]->{backward_arrow} : ( $_[0]->{backward_arrow} = $_[1] );  }
#line 2746 "fig.pxx"
sub forward_arrow        {  return ( $#_ == 0 ) ? $_[0]->{forward_arrow} : ( $_[0]->{forward_arrow} = $_[1] );  }
#line 2747 "fig.pxx"
sub incrBackward_arrow   {  return $_[0]->{backward_arrow} += (defined($_[1]) ? $_[1] : 1); }
#line 2746 "fig.pxx"
sub incrForward_arrow    {  return $_[0]->{forward_arrow} += (defined($_[1]) ? $_[1] : 1); }
#line 2749 "fig.pxx"
sub incrNpoints          {  return $_[0]->{npoints} += (defined($_[1]) ? $_[1] : 1); }
#line 2749 "fig.pxx"
sub npoints              {  return ( $#_ == 0 ) ? $_[0]->{npoints} : ( $_[0]->{npoints} = $_[1] );  }
#line 2750 "fig.pxx"
sub numPoints            {  return scalar(@{$_[0]->{points}});  }
#line 2750 "fig.pxx"
sub point                {  if ( @_ == 2 ) { return $_[0]->{points}->[$_[1]]; } else { $_[0]->{points}->[$_[1]] = $_[2]; return $_[2]; }  }
#line 2750 "fig.pxx"
sub points               {  if ( $#_ == 0 ) { return (wantarray) ? @{$_[0]->{points}} : $_[0]->{points}} else { $_[0]->{points} = $_[1]; return (wantarray) ? @{$_[1]} : $_[1] }  }
# End Accessors
###

###
# User Code
#line 1 "GENERATED CODE"
sub initState {
    carp('Usage: XFig::Spline::initState(self)') unless (@_ == 1);
    my($self) = $_[0]; ((!$self) || ($self->isa('XFig::Spline'))) or carp(sprintf('XFig::Spline::initState: NOT $self->isa(XFig::Spline)')); 
#line 3 "GENERATED CODE"
{
    $_[0]->SUPER::initState();
    $_[0]->extend({
        # npoints => '',
        # backward_arrow => '',
        points => [],
        # forward_arrow => '',
    });
}}
# User Code
###

###
# Post text

# Post text
###

########################## END OF MODULE ###########################
1;

__DATA__


__END__

=head1 PUBLIC CLASS INTERFACE

=over 4



=head1 PUBLIC INSTANCE INTERFACE

=over 4

=head2 initState()
Automated method for initializing Perl class state based on field definitions.

=cut

=head1 AUTHOR

Wade Holst

=head1 SEE ALSO

perl(1).

=cut         