<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Conjecture - Contributing To Conjecture</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-15">
  <!-- link rel="icon" href="conjecture.ico" type="image/x-icon" -->
  <!-- link rel="shortcut icon" href="conjecture.ico" type="image/x-icon" -->
  <link rel="stylesheet" href="style.css" type="text/css" title="plain">
</head>
<body>
<table class="nopad" align="left" border="0" cellpadding="0"
 cellspacing="0" width="100%">
  <tbody>
    <tr>
      <td class="nopad">
<?php
 $mainvalue='Participating';
 $subvalue='';
 include_once("header.php");
?>
      </td>
    </tr>
    <tr>
      <td>

      <table class="nopad" align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tbody>
          <tr valign="top">
            <td class="content">

<div id="contrib"></a>
  <h1>Contributing To Conjecture</h1>

  <blockquote>
    <p>Conjecture is an open-source project. Not only that, one of its
    primary design considerations was making it easy for individuals
    (both programmers AND non-programmers) to actively contribute to
    improving the quality of OCR.  

    <p> There are many ways you can help, and it is a certainty that you
    have knowledge that will benefit Conjecture and OCR in general.
    Please help where you can!
  </blockquote>

  <div id="user"></a>
    <h2>How to Contribute Without Coding</h2>

    <blockquote>

      <p>Conjecture has the potential to be a rather ambituous
      project, with many different directions that can be explored.
      Here are some ways that you can make Conjecture better without
      doing any programming:

      <ul>

        <li> <b>Optimize Parameters</b>: Experiment with the
        <em>configurable parameters</em> associated with each OCR and
        report which combinations produce increases in accurarcy.
        Conjecture has an assessment infrastructure that makes such
        experimentation easy. <em>wmh: TODO - document the
        custom/Conjecture.tests file and how variants can be
        added</em>.

        <li>
         <b>Image Database</b>: Help grow and organize the image
        database. The more text-based images we have (along with the
        <em>canonical</em> textual representation associated with
        each image), the more comprehensive and useful the
        assessement infrastructure will be.
        </li>   

        <li>
         <b>Mailing List</b>: Participating in discussions on the
        <a href="http://lists.corollarium.com/listinfo.cgi/conjecture-devel-corollarium.com">mailing list</a>
        </li>

        <li> <b>Correct Documentation</b>: Edit the documentation to fix
        mistakes, make the discussion more clear, etc.

        <li>
        <b>Answer Questions</b>: One of the many great things about
        open-source group projects is the vast knowledge base of the
        community. There are always questions (whose answer would
        benefit Conjecture in some way) that an individual doesn't
        have the time to answer personally, These questions are posted
        in <A HREF="questions.php">'Participating/Questions'</A>. Read through these questions and
        answer those that you know. Either inform the question poser
        what the answer is, or, even better, solve the problem being
        addressed by the question yourself.
        </li>

        <li>
        <b>Wishlist</b>: Brainstorm with others on the Conjecture
        forum about possible strategies for addressing a particular
        issue, or about desired features of a generalized OCR.
        </li>

        <li>
        <b>Advertise</b>: Inform others of the Conjecture project!
        </li>

      </ul>
    </blockquote>
  </div>

  <div id="client"></a>
    <h2>How to Contribute By Adding New Code</h2>
    <blockquote>
    </blockquote>
  </div>
</div>

            </td>

            <!-- begin side bar -->
            <td class="right" width="200">
<?php
 include_once("sidebar.php");
?>

            </td>

            <!-- end side bar -->

          </tr>
      </table>
      </td>
    </tr>
    <tr>
      <td class="nopad">
<?php
 include_once("footer.php");
?>
      </td>
    </tr>
  </tbody>
</table>


</body>
</html>
