<!-- Header for all Conjecture HTML pages. -->

<table class="nopad" align="left" cellspacing="5" cellpadding="0" border="0" width="100%">
<tbody>
  <tr>
    <td class="info" align="right" nowrap height="82" width="284">
      <img src="/conjecture/baseimages/conjecture.jpg" alt="conjecture" border="0" height="82" width="284">
      <br>
      An Extensible Optical Character Recognition Framework
    </td>
  </tr>
</tbody>
</table>
</td></tr><tr><td>

<br>
<table class="nopad" align="left" cellspacing="0" cellpadding="0" border="0" width="100%">
  <tr valign="bottom">
    <td class="navigation" align="left" nowrap>

<?php

$mainmenu = array('Home'             => '/conjecture/index.php',
                'Download'           => '/conjecture/download.php',
		'Usage'              => '/conjecture/usage.php',
                'Documentation'      => '/conjecture/documentation.php',
                'Participating'      => '/conjecture/contrib.php',
      	        'TODO'               => '/conjecture/todo.php',
    	        'Links'              => '/conjecture/links.php',
                );

$submenu = array(
         'Home'                      => array(
                      'About'        => '/conjecture/index.php#about',
                      'Features'     => '/conjecture/index.php#features',
                      'Philosophy'   => '/conjecture/philosophy.php',
                      'News'         => '/conjecture/index.php#news',
                  ),

         'Download'                  => array(
                      'Requirements' => '#requirements',
                      'Installation' => '#installation',
                      'SVN'          => '#svn',
                      'Binaries'     => '#binaries',
                     ),

         'Usage'                     => array(
                      'Overview'     => '#overview',
                      'Advanced'     => '#advanced',
                      'Scripts'      => '#sripts',
                     ),

          'Documentation'            => array(
                      'General'      => '/conjecture/documentation.php#general',
                      'Terminology'  => '/conjecture/terminology.php',
                      'Harness'      => '/conjecture/harness.php',
                      'Kernel'       => '/conjecture/kernel.php',
                      'Components'   => '/conjecture/components.php',
                      'Modules'      => '/conjecture/modules.php',
		      'Source'       => '/conjecture/doxygen/html/index.html',
                      'Guidelines'   => '/conjecture/guidelines.php',
                      'FAQ'          => '/conjecture/faq.php',
                      'White papers' => '/conjecture/documentation.php#papers',
                     ),

         'Participating'             => array(
                      'Non-Coding'   => '/conjecture/contrib.php#user',
                      'Coding'       => '/conjecture/contrib.php#client',
                     ),

         'TODO'                      => array(
		              'Main TODO'    => '/conjecture/todo.php',
                      'Questions'    => '/conjecture/questions.php',
                      'Easy'         => '/conjecture/todo.php#easy',
                      'Design'       => '/conjecture/todo.php#design',
                    'Implementation' => '/conjecture/todo.php#implementation',
                    'Infrastructure' => '/conjecture/todo.php#infrastructure',
                    'Wishlist'       => '/conjecture/todo.php#wishlist',
                     ),

         'Links'                     => array(
              'OCRs'                 => '#ocrs',
                      'Mirrors'      => '#mirrors',
                  )

               );

$subsubmenu = array(
                 'Modules'           => array(
                      'Overview'     => '#overview',
                      'Creating'     => '#creating',
                      'Existing'     => '#existing',
                     ),

                 'Components'           => array(
                      'Overview'        => '#overview',
                      'Implementations' => '#implementations',
                      'Existing'        => '#existing',
                      'Creating'        => '#creating',
                     ),
               );

// Ensure that the each() function starts from the start:
reset($mainmenu);

// Main menu
foreach( $mainmenu as $key => $value ) {  // Print a single row
  if ($mainvalue == $key) {
    echo "<a class=\"navigation-active\" href=\"$value\">$key</a>\n";
  }
  else {
    echo "<a class=\"navigation\" href=\"$value\">$key</a>\n";
  }
}

echo "</td></tr>\n";

// Now the submenu, if it exists
echo "<tr valign=\"top\">\n";
echo "<td class=\"submenu\" align=\"left\" nowrap>\n";
reset($submenu);
foreach( $submenu as $key => $value ) { // find submenu
  if ($mainvalue == $key) {
    foreach( $submenu[$key] as $key2 => $value2 ) {  // Print a single row
      if ($subvalue == $key2) {
          echo "<a class=\"submenu-active\" href=\"$value2\">$key2</a>";
      }
      else {
        echo "<a class=\"submenu\" href=\"$value2\">$key2</a>\n";
      }
    }
    // if found, break the loop and save some time
    break;
  }
}

// And the sub-submenu, if it also exists
echo "<tr valign=\"top\">\n";
echo "<td class=\"subsubmenu\" align=\"left\" nowrap>\n";
reset($subsubmenu);
foreach( $subsubmenu as $key => $value ) { // find submenu
  if ($subvalue == $key) {
    foreach( $subsubmenu[$key] as $key2 => $value2 ) {  // Print a single row
      if ($subsubvalue == $key2) {
          echo "<a class=\"subsubmenu-active\" href=\"$value2\">$key2</a>";
      }
      else {
        echo "<a class=\"subsubmenu\" href=\"$value2\">$key2</a>\n";
      }
    }
    // if found, break the loop and save some time
    break;
  }
}

?>
</td></tr>
</table>



