<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Conjecture - Home - Philosophy</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-15">
  <!-- link rel="icon" href="conjecture.ico" type="image/x-icon" -->
  <!-- link rel="shortcut icon" href="conjecture.ico" type="image/x-icon" -->
  <link rel="stylesheet" href="style.css" type="text/css" title="plain">
</head>
<body>
<table class="nopad" align="left" border="0" cellpadding="0"
 cellspacing="0" width="100%">
  <tbody>
    <tr>
      <td class="nopad">
<?php 
 $mainvalue='Home';
 $subvalue='Philosophy';
 include_once("header.php");
?>
      </td>
    </tr>
    <tr>
      <td>
      
      <table class="nopad" align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tbody>
          <tr valign="top">
            <td class="content">

	    <div id="somelabel">
	    <h1>Philosophy</h1>
	    <blockquote>

    <p>
    The philosophy behind the design of Conjecture differs somewhat from most
    other OCR projects. OCR is a difficult problem, and no one strategy for
    character recognition is optimal, given the vast amount variation
    possible in input (differing fonts, font sizes, noise levels, orientation
    angles, existence of interspersed text and pictures, and numerous other
    concepts that affect OCR accuracy). One strategy might excel for one
    document, while a very different strategy may be better for another
    document.
    </p>

    <p>
    Most existing open-source OCRs provide a single hard-coded solution, and
    make it difficult for individuals to contribute and experiment with
    variations in algorithms without becoming intimately familiar with the
    entire architecture. In constrast, Conjecture provides a modular design
    that makes it possible to start experimenting and exploring incremental
    improvements almost immediately.
    </p>
	    </blockquote>
            </div>

	    </td>

	    <!-- begin side bar -->
            <td class="right" width="200">
<?php 
 include_once("sidebar.php");
?>

	    </td>
	    
   	    <!-- end side bar -->

	  </tr>
      </table>
      </td>
    </tr>
    <tr>
      <td class="nopad">
<?php 
 include_once("footer.php");
?>
      </td>
    </tr>
  </tbody>
</table>


</body>
</html>
