<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>Conjecture - Participating - Questions</title>
  <meta http-equiv="content-type" content="text/html; charset=ISO-8859-15">
  <!-- link rel="icon" href="conjecture.ico" type="image/x-icon" -->
  <!-- link rel="shortcut icon" href="conjecture.ico" type="image/x-icon" -->
  <link rel="stylesheet" href="style.css" type="text/css" title="plain">
</head>
<body>
<table class="nopad" align="left" border="0" cellpadding="0"
 cellspacing="0" width="100%">
  <tbody>
    <tr>
      <td class="nopad">
<?php 
 $mainvalue='TODO';
 $subvalue='Questions';
 include_once("header.php");
?>
      </td>
    </tr>
    <tr>
      <td>
      
      <table class="nopad" align="left" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tbody>
          <tr valign="top">
            <td class="content">

<div>
<h1>Questions</h1>
<blockquote>

<p> This webpage contains a collection of open questions. Questions
that you may be able to answer. Questions whose answers will in some
way benefit Conjecture. It is motivated by the simple observation that
if one knows how to do something, they can do it quickly and well,
while if one is unsure how to do something, they must spend time
learning how to do it, which takes away from time they could be
spending on something they do know how to do.

<p> When an individual is working on some aspect of Conjecture and
encounters an issue they do not have time to address themselves
(because they are busy working on some other aspect of Conjecture),
they can post a question here describing the side-issue (and
indicating who is asking, so answers can be properly directed).

<p> Keep in mind that many of these questions will have very simple
solutions, and the individual posing them could have resolved them
personally but was busy with other things. This point is clarified to
encourage you to add questions without fear of "looking dumb". Its all
about allocating ones time where it can best be used!

<dl>
  <dt>Doxygen</dt>
  <dd>
  I'm looking for someone who knowledgable with non-standard doxygen
  usage. I want to extend the capabilities of the auto-generating UML,
  and need someone who knows how to get doxygen to provide information
  on C++ classes, methods and fields in a format we can use. Doxygen
  has XML generating support, right? How detailed? visibility of every
  method and field, etc. etc.? [wade]
  </dd>

  <dt>CSS</dt>
  <dd>
  I'm looking for someone who knowledgable with CSS and web design.
  The existing structure of the webpages is using TABLE, and I'd like
  to convert it to a more flexible CSS-oriented structure.
  [wade]
  </dd>

  <!-- Copy this template when making a new entry, but leave it around!
  <dt>Topic:</dt>
  <dd>
  Description
  [asker]
  </dd>
   -->

</dl>

</blockquote>
</div>

</td>

            <!-- begin side bar -->
            <td class="right" width="200">
<?php 
 include_once("sidebar.php");
?>

            </td>
            
            <!-- end side bar -->

          </tr>
      </table>
      </td>
    </tr>
    <tr>
      <td class="nopad">
<?php 
 include_once("footer.php");
?>
      </td>
    </tr>
  </tbody>
</table>


</body>
</html>
