# ifndef Conjecture_IdentifyComponent_h
# define Conjecture_IdentifyComponent_h Conjecture_IdentifyComponent_h

// Insert SVN header substitution variable here
// Created by wade
// Class Champion: Unassigned

# include "Component.h" // parent

namespace Conjecture {
    class Page;

    /** ****************************************************************
     * \class IdentifyComponent
     *
     * \brief The abstract superclass of a hierarchy of classes
     * implementing the 'identify' algorithm, which is responsible for
     * converting Glyphs into unicode characters.
     *
     * This algorithm is the second one called by StandardProcess.
     *
     ********************************************************************/
    class IdentifyComponent : public Component {
      public:
	IdentifyComponent();
	virtual bool execute(Page* page) = 0;
    };
}

# endif // Conjecture_IdentifyComponent_h

