# ifndef Conjecture_OcradProcess_h
# define Conjecture_OcradProcess_h Conjecture_OcradProcess_h

# include "ProcessComponent.h" // parent

namespace Conjecture {

    /** ****************************************************************
     * \class OcradProcess
     *
     * \brief Trivial delegation-to-external-program implementation of Ocrad
     *
     * ...
     *
     ******************************************************************/

    class OcradProcess : public ProcessComponent {
      public:
	// Constructors/Destructors
	OcradProcess();

	// Interface
	virtual bool execute(Page* page);
    };
}

# endif // Conjecture_OcradProcess_h

