package Meta::Doc::Lib::Column;
=head1 NAME
=head1 SYNOPSIS
=head1 DESCRIPTION
=head1 NOTES
=head1 IMPLEMENTATION
=cut

###
# Never leave home without it!
use strict;

###
# Initial "class-related" static variables
use vars qw(@ISA $VERSION @EXPORT @EXPORT_OK);
$VERSION = '0.01';

###
# The superclasses (definition and importation)
@ISA = qw(Meta::Lib::Object);
use Meta::Lib::Object;

###
# The associations of this class (importation)
use IO::File;
use Carp;
use Meta::Oopl::BaseLanguage::PerlRef;

###
# The executable code of this class (methods, accessors, initializers, finalizers)

###############################
# instance FIELD 'id'
# META: Meta.Doc.Lib.Column.id:@Meta!Str
sub id { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'id()'\n"); $_[0]->{__meta_id} = $_[1]; } else { return $_[0]->{__meta_id}; } }
sub idVal { return $_[0]->{__meta_id}; }
sub idIs { $_[0]->{__meta_id} = $_[1]; }
sub idRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'id()'\n"); $_[0]->{__meta_id} = $_[1]; } else { return $_[0]->{__meta_id}; } }

###############################
# instance FIELD 'label'
# META: Meta.Doc.Lib.Column.label:@Meta!Str
sub label { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'label()'\n"); $_[0]->{__meta_label} = $_[1]; } else { return $_[0]->{__meta_label}; } }
sub labelVal { return $_[0]->{__meta_label}; }
sub labelIs { $_[0]->{__meta_label} = $_[1]; }
sub labelRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'label()'\n"); $_[0]->{__meta_label} = $_[1]; } else { return $_[0]->{__meta_label}; } }

###############################
# instance FIELD 'type'
# META: Meta.Doc.Lib.Column.type:@Meta!Str
sub type { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'type()'\n"); $_[0]->{__meta_type} = $_[1]; } else { return $_[0]->{__meta_type}; } }
sub typeVal { return $_[0]->{__meta_type}; }
sub typeIs { $_[0]->{__meta_type} = $_[1]; }
sub typeRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'type()'\n"); $_[0]->{__meta_type} = $_[1]; } else { return $_[0]->{__meta_type}; } }

###############################
# instance FIELD 'formspec'
# META: Meta.Doc.Lib.Column.formspec:@Meta!Str
sub formspec { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'formspec()'\n"); $_[0]->{__meta_formspec} = $_[1]; } else { return $_[0]->{__meta_formspec}; } }
sub formspecVal { return $_[0]->{__meta_formspec}; }
sub formspecIs { $_[0]->{__meta_formspec} = $_[1]; }
sub formspecRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'formspec()'\n"); $_[0]->{__meta_formspec} = $_[1]; } else { return $_[0]->{__meta_formspec}; } }

###############################
# instance FIELD 'max'
# META: Meta.Doc.Lib.Column.max:@int
sub max { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'max()'\n"); $_[0]->{__meta_max} = $_[1]; } else { return $_[0]->{__meta_max}; } }
sub maxVal { return $_[0]->{__meta_max}; }
sub maxIs { $_[0]->{__meta_max} = $_[1]; }
sub maxRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'max()'\n"); $_[0]->{__meta_max} = $_[1]; } else { return $_[0]->{__meta_max}; } }

###############################
# instance FIELD 'width'
# META: Meta.Doc.Lib.Column.width:@int
sub width { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'width()'\n"); $_[0]->{__meta_width} = $_[1]; } else { return $_[0]->{__meta_width}; } }
sub widthVal { return $_[0]->{__meta_width}; }
sub widthIs { $_[0]->{__meta_width} = $_[1]; }
sub widthRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'width()'\n"); $_[0]->{__meta_width} = $_[1]; } else { return $_[0]->{__meta_width}; } }

###############################
# instance FIELD 'length'
# META: Meta.Doc.Lib.Column.length:@int
sub length { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'length()'\n"); $_[0]->{__meta_length} = $_[1]; } else { return $_[0]->{__meta_length}; } }
sub lengthVal { return $_[0]->{__meta_length}; }
sub lengthIs { $_[0]->{__meta_length} = $_[1]; }
sub lengthRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'length()'\n"); $_[0]->{__meta_length} = $_[1]; } else { return $_[0]->{__meta_length}; } }

###############################
# instance FIELD 'align'
# META: Meta.Doc.Lib.Column.align:@Meta!Str
sub align { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'align()'\n"); $_[0]->{__meta_align} = $_[1]; } else { return $_[0]->{__meta_align}; } }
sub alignVal { return $_[0]->{__meta_align}; }
sub alignIs { $_[0]->{__meta_align} = $_[1]; }
sub alignRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'align()'\n"); $_[0]->{__meta_align} = $_[1]; } else { return $_[0]->{__meta_align}; } }

###############################
# instance FIELD 'default'
# META: Meta.Doc.Lib.Column.default:@Meta!Str
sub default { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'default()'\n"); $_[0]->{__meta_default} = $_[1]; } else { return $_[0]->{__meta_default}; } }
sub defaultVal { return $_[0]->{__meta_default}; }
sub defaultIs { $_[0]->{__meta_default} = $_[1]; }
sub defaultRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'default()'\n"); $_[0]->{__meta_default} = $_[1]; } else { return $_[0]->{__meta_default}; } }

###############################
# instance FIELD 'ldelim'
# META: Meta.Doc.Lib.Column.ldelim:@Meta!Str
sub ldelim { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'ldelim()'\n"); $_[0]->{__meta_ldelim} = $_[1]; } else { return $_[0]->{__meta_ldelim}; } }
sub ldelimVal { return $_[0]->{__meta_ldelim}; }
sub ldelimIs { $_[0]->{__meta_ldelim} = $_[1]; }
sub ldelimRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'ldelim()'\n"); $_[0]->{__meta_ldelim} = $_[1]; } else { return $_[0]->{__meta_ldelim}; } }

###############################
# instance FIELD 'rdelim'
# META: Meta.Doc.Lib.Column.rdelim:@Meta!Str
sub rdelim { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'rdelim()'\n"); $_[0]->{__meta_rdelim} = $_[1]; } else { return $_[0]->{__meta_rdelim}; } }
sub rdelimVal { return $_[0]->{__meta_rdelim}; }
sub rdelimIs { $_[0]->{__meta_rdelim} = $_[1]; }
sub rdelimRef { if ( @_ > 1 ) { print(STDERR "NOTE: Using deprecated form of 'rdelim()'\n"); $_[0]->{__meta_rdelim} = $_[1]; } else { return $_[0]->{__meta_rdelim}; } }


###############################
# meta METHOD 'new'
# META: Meta.Doc.Lib.Column.new(@Meta!Str,@Meta!Str,*Meta!Map,*Meta!Map):void
sub new {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.new\(class\:\@Meta\!Str\,id\:\@Meta\!Str\,options\:\*Meta\!Map\,defopts\:\*Meta\!Map\)\:void";
  my $class = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$class failed typechecking.  Possible reasons are:\n   - \$class must be defined and have ref '' (is '%s')",(defined($class)?ref($class):'undef'))) if ( (((!defined($class)) || (ref($class) ne ''))) );
  my $id = $_[1]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$id failed typechecking.  Possible reasons are:\n   - \$id must be defined and have ref '' (is '%s')",(defined($id)?ref($id):'undef'))) if ( (((!defined($id)) || (ref($id) ne ''))) );
  my $options = $_[2]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$options failed typechecking.  Possible reasons are:\n   - \$options has ref '%s' when ref 'HASH' expected",(defined($options)?ref($options):'undef'))) if ( (((defined($options)) && (ref($options) ne 'HASH'))) );
  my $defopts = $_[3]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$defopts failed typechecking.  Possible reasons are:\n   - \$defopts has ref '%s' when ref 'HASH' expected",(defined($defopts)?ref($defopts):'undef'))) if ( (((defined($defopts)) && (ref($defopts) ne 'HASH'))) );

  my $self = $class->SUPER::new();
  #----------------------------
  # META: start of user-code
  $self->idIs($id);

  ## Default label is capitalized version of the id.
  my $label = $options->{label};
  if ( !defined($label) ) { $label = "\u$id"; }
  $self->labelIs($label);

  ## Width may be undef (if undef or 0, we use 'max')
  my $width = $options->{width}; $width = $defopts->{width} unless defined($width);
  $self->widthIs($width) if defined($width);

  ## Length may be undef (if undef or 0, we use 'width')
  my $length = $options->{length}; $length = $defopts->{length} unless defined($length);
  $self->lengthIs($length) if defined($length);

  ## By default, the column label influences column width,
  ## but we may want to provide a means of not doing this.
  ## Of course, the individual can just specify an explicit width,
  ## but it may be convenient to get auto width but ignore label.
  $self->maxIs(CORE::length($label));

  ## There is no default default - if not provided,
  ## the value assigned to missing entries is undef.
  my $default = $options->{default}; $default = $defopts->{default} unless defined($default);
  $self->defaultIs($default);

  ## Default type is 'str'
  my $type = $options->{type}; $type = ($defopts->{type}||'str') unless defined($type);
  my $formspec;
  my $defalign;
  if ( $type eq 'str' ) {
    $formspec = 's';
    $defalign = 'left';
  } elsif ( $type eq 'int' ) {
    $formspec = 'd';
    $defalign = 'right';
  } elsif ( $type =~ m/^real(?:\.(\d+))?/ ) {
    $formspec = (defined($1)) ? ".$1f" : 'f';
    $defalign = 'right';
  } else {
    print(STDERR "WARN: Invalid type '$type' (using 'str' instead)\n");
    $formspec = 's';
  }
  $self->typeIs($type);
  $self->formspecIs($formspec);

  ## Default alignment is 'left' for string types, 'right'
  ## for numeric types.
  $self->alignIs($options->{align}||$defopts->{align}||$defalign);

  ## Default ldelim is empty string
  $self->ldelimIs($options->{ldelim}||$defopts->{ldelim}||'');

  ## Default rdelim is single space
  $self->rdelimIs($options->{rdelim}||$defopts->{rdelim}||' ');
  # META: end of user-code
  #----------------------------
  return $self;
}

###############################
# instance METHOD 'monitor'
# META: Meta.Doc.Lib.Column.monitor(#*Meta.Doc.Lib.Column,@Meta!Str):void
sub monitor {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.monitor\(self\:\#\*Meta\.Doc\.Lib\.Column\,val\:\@Meta\!Str\)\:void";
  my $self = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$self failed typechecking.  Possible reasons are:\n   - \$self must be defined and have ref 'Meta::Doc::Lib::Column' (is '%s')",(defined($self)?ref($self):'undef'))) if ( (((!defined($self)) || (!$self->isa('Meta::Doc::Lib::Column')))) );
  my $val = $_[1]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$val failed typechecking.  Possible reasons are:\n   - \$val must be defined and have ref '' (is '%s')",(defined($val)?ref($val):'undef'))) if ( (((!defined($val)) || (ref($val) ne ''))) );
  #----------------------------
  # META: start of user-code
  my $len = CORE::length($val||'');
  if ( $len > $self->max() ) {
    $self->maxIs($len);
  }
  # META: end of user-code
  #----------------------------
}

###############################
# instance METHOD 'format'
# META: Meta.Doc.Lib.Column.format(#*Meta.Doc.Lib.Column,@Meta!Str,@Meta!Str):@Meta!Str
sub format {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.format\(self\:\#\*Meta\.Doc\.Lib\.Column\,val\:\@Meta\!Str\,formspec\:\@Meta\!Str\)\:\@Meta\!Str";
  my $self = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$self failed typechecking.  Possible reasons are:\n   - \$self must be defined and have ref 'Meta::Doc::Lib::Column' (is '%s')",(defined($self)?ref($self):'undef'))) if ( (((!defined($self)) || (!$self->isa('Meta::Doc::Lib::Column')))) );
  my $val = $_[1]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$val failed typechecking.  Possible reasons are:\n   - \$val must be defined and have ref '' (is '%s')",(defined($val)?ref($val):'undef'))) if ( (((!defined($val)) || (ref($val) ne ''))) );
  my $formspec = $_[2]; if (!defined($_[2])) { $formspec = ''; } CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$formspec failed typechecking.  Possible reasons are:\n   - \$formspec must be defined and have ref '' (is '%s')",(defined($formspec)?ref($formspec):'undef'))) if ( (((!defined($formspec)) || (ref($formspec) ne ''))) );
  #----------------------------
  # META: start of user-code
  $val = '' if !defined($val); ## not really necessary anymore, since 'Meta!Str@ val' is not allowed to be undef.  Left for when type-checking is disabled and a bad arg is passed in.
  my $len = CORE::length($val);

  ####
  ## Establish width and width-related format spec (3, 4.2, etc.)
  my $width = $self->width();
  my $check; ## whether we have to check for value overflowing width and truncate
  if ( ! $width ) {
    ## Use maximum width
    $width = $self->max();
    $check = 0;
  } else {
    $check = 1;
  }

  ####
  ## Establish alignment-related format spec ('-' or '')
  my $align = $self->align();
  my $a   = ($align eq 'right') ? '' : '-';

  ####
  ## Establish padding to place before value (to emulate centering).
  my $pad = '';
  if ( $align eq 'center' ) {
    if ( $len < $width ) {
      my $padnum = (int(($width-$len)/2));
      $pad = ' ' x $padnum;
      $width -= $padnum;
    }
  }

  ####
  ## The other field vals
  my $ld   = $self->ldelim();
  my $rd   = $self->rdelim();

  my $spec = $formspec || $self->formspec();
  my $type = $self->type();
  my $format = "$a$width$spec";

  ####
  ## Ensure that the value is no longer than $width characters. Also
  ## ensures that $val is in a minimally acceptable format for the
  ## type (for example, an empty val is not allowed for numeric
  ## types, and is converted to 0).
  my $result;
  if ( $spec eq 's' ) {
    ## String type.
    if ( $len > $width ) {
      ## String type - we grab left-most
      ## portion, adding a '$' at the end to
      ## indicate truncation
      $val = substr($val,0,$width-1) . "\$";
    }
  } else {
    ## Numeric type - we cannot add a '$' because it isn't legal
    ## in a number, and we are using printf ("%d") or ("%f").
    ## 
    ## Also, there is the question of what to do with empty val
    ## strings. Empty strings are not legal numbers, and will
    ## generate errors when used in sprintf with %d or %f. One
    ## solution is to set empty $val to '0'. Another solution is to
    ## print '-' or nothing at all for such values.
    if ( $len > $width ) {
      if ( $val =~ m/\./ ) {
        ## Floating point value - we can truncate
        ## behind the decimal, but must ensure
        ## we haven't removed digits before decimal
        $val = substr($val,0,$width);
        if ( $val !~ m/\./ ) {
          ## FIX THIS WMH!!! MUST FIX THIS - CANNOT KEEP IT 0.
          ## Unfortunately, there is no meaningful value to
          ## which we CAN set it!  Must revamp the entire
          ## printing environment - using the printf controls
          ## blindly numeric fields is too limiting.
          $val = 0;
        }
      } else {
        ## FIX THIS WMH!!! See note above - same problem.
        $val = 0;
      }
    } else {
      ## If $val is empty, we decide what to do with it
      ##   - print 0
      ##   - print '-'
      ##   - print nothing
      my $solution = '-';
      if ( !$val ) {
        ## FUTURE FIX: Is this being aligned properly?  May be, may not be - a quick hack added without full analysis.
        $result = sprintf("$ld$pad%${width}s$rd",$solution);
      }
    }
  }

  ####
  ## Return the formatted string
  if ( ! defined($result) ) { 
    $result = sprintf("$ld$pad%$format$rd",$val);
  }
  return $result;
  # META: end of user-code
  #----------------------------
}

###############################
# instance METHOD 'summary'
# META: Meta.Doc.Lib.Column.summary(#*Meta.Doc.Lib.Column):*Meta!Map
sub summary {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.summary\(self\:\#\*Meta\.Doc\.Lib\.Column\)\:\*Meta\!Map";
  my $self = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$self failed typechecking.  Possible reasons are:\n   - \$self must be defined and have ref 'Meta::Doc::Lib::Column' (is '%s')",(defined($self)?ref($self):'undef'))) if ( (((!defined($self)) || (!$self->isa('Meta::Doc::Lib::Column')))) );
  #----------------------------
  # META: start of user-code
  my %options = (
    id       => $self->id(),
    label    => $self->label(),
    type     => $self->type(),
    width    => $self->width(),
    align    => $self->align(),
    default  => $self->default(),
    ldelim   => $self->ldelim(),
    rdelim   => $self->rdelim(),
  );
  return (wantarray) ? %options : \%options;
  # META: end of user-code
  #----------------------------
}

###############################
# static METHOD '__meta_main'
# META: Meta.Doc.Lib.Column.__meta_main(@Meta!Str,*Meta!Vec<@Meta!Str>,@boolean,@int):void
sub __meta_main {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.__meta_main\(exec\:\@Meta\!Str\,args\:\*Meta\!Vec\<\@Meta\!Str\>\,validate\:\@boolean\,verbose\:\@int\)\:void";
  my $exec = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$exec failed typechecking.  Possible reasons are:\n   - \$exec must be defined and have ref '' (is '%s')",(defined($exec)?ref($exec):'undef'))) if ( (((!defined($exec)) || (ref($exec) ne ''))) );
  my $args = $_[1]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$args failed typechecking.  Possible reasons are:\n   - \$args has ref '%s' when ref 'ARRAY' expected",(defined($args)?ref($args):'undef'))) if ( (((defined($args)) && (ref($args) ne 'ARRAY'))) );
  my $validate = $_[2]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$validate failed typechecking.  Possible reasons are:\n   - \$validate has ref '%s' when ref '' expected",(defined($validate)?ref($validate):'undef'))) if ( (((defined($validate)) && (ref($validate) ne ''))) );
  my $verbose = $_[3]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$verbose failed typechecking.  Possible reasons are:\n   - \$verbose has ref '%s' when ref '' expected",(defined($verbose)?ref($verbose):'undef'))) if ( (((defined($verbose)) && (ref($verbose) ne ''))) );

  {
    # Main method unit-testing prolog
    if ( $validate ) {
      print(STDERR "NOTE: Executing unit test for 'Column' (stdout and stderr redirected)\n");
      close(STDOUT); open(STDOUT, ">Column.out");
      close(STDERR); open(STDERR, ">Column.err");
    } 
  }
  #----------------------------
  # META: start of user-code
  # Main method core
  print("No RUN attribute was specified for CLASS Column\n");
  # META: end of user-code
  #----------------------------
  {
    # Main method unit-testing epilog
    if ( $validate ) {
      my $tty = `tty`; chomp($tty);
      close(STDOUT); open(STDOUT, ">$tty");
      close(STDERR); open(STDERR, ">$tty");
      my $errors = &__meta_validate($validate);
      if ( ( -s 'Column.out' ) && ( $verbose > 1 ) ) { print("\nSTDOUT\n======\n"); system("cat Column.out"); } unlink('Column.out') unless ( $verbose > 2);
      if ( ( -s 'Column.err' ) && ( $verbose > 1 ) ) { print("\nSTDERR\n======\n"); system("cat Column.err"); } unlink('Column.err') unless ( $verbose > 2);
    } 
  }
}

###############################
# static METHOD '__meta_validate'
# META: Meta.Doc.Lib.Column.__meta_validate(@int):@int
sub __meta_validate {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.__meta_validate\(verbose\:\@int\)\:\@int";
  my $verbose = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$verbose failed typechecking.  Possible reasons are:\n   - \$verbose has ref '%s' when ref '' expected",(defined($verbose)?ref($verbose):'undef'))) if ( (((defined($verbose)) && (ref($verbose) ne ''))) );
  #----------------------------
  # META: start of user-code
  my $errors = 0;
  print("NOTE:    No unit testing provided for CLASS Column\n");
  return $errors;
  # META: end of user-code
  #----------------------------
}

###############################
# instance METHOD '__meta_initInstance'
# META: Meta.Doc.Lib.Column.__meta_initInstance(#*Meta.Doc.Lib.Column,@int):@int
sub __meta_initInstance {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.__meta_initInstance\(self\:\#\*Meta\.Doc\.Lib\.Column\,verbose\:\@int\)\:\@int";
  my $self = $_[0]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$self failed typechecking.  Possible reasons are:\n   - \$self must be defined and have ref 'Meta::Doc::Lib::Column' (is '%s')",(defined($self)?ref($self):'undef'))) if ( (((!defined($self)) || (!$self->isa('Meta::Doc::Lib::Column')))) );
  my $verbose = $_[1]; CORE::warn(sprintf("Warning: In $__meta_sig:\n  Arg \$verbose failed typechecking.  Possible reasons are:\n   - \$verbose has ref '%s' when ref '' expected",(defined($verbose)?ref($verbose):'undef'))) if ( (((defined($verbose)) && (ref($verbose) ne ''))) );
  #----------------------------
  # META: start of user-code
  $_[0]->SUPER::__meta_initInstance();
  $_[0]->__meta_extend({
         '__meta_id'          => 0,
         '__meta_label'       => 0,
         '__meta_type'        => 0,
         '__meta_formspec'    => 0,
         '__meta_max'         => 0,
         '__meta_width'       => 0,
         '__meta_length'      => 0,
         '__meta_align'       => 0,
         '__meta_default'     => 0,
         '__meta_ldelim'      => 0,
         '__meta_rdelim'      => 0,
  });
  # META: end of user-code
  #----------------------------
}

###############################
# static METHOD '__meta_initStatic'
# META: Meta.Doc.Lib.Column.__meta_initStatic():void
sub __meta_initStatic {
  my $__meta_sig = "Meta\.Doc\.Lib\.Column\.__meta_initStatic\(\)\:void";
  #----------------------------
  # META: start of user-code
  # META: end of user-code
  #----------------------------
}
&__meta_initStatic();


sub __Meta_main { &__meta_main(@_); }


###
# All well-formed perl modules return true.
1;

  
