package XFig::Arc;
use strict;

=head1 NAME

XFig::Arc -

=head1 SYNOPSIS

use XFig::Arc ();

=head1 DESCRIPTION


=head1 NOTES


=head1 EXAMPLES


=head1 IMPLEMENTATION

=cut

use Carp;                      # everyone gets Carp!
use IO::File;                  # everyone gets IO::File!
use IO::File;
use XFig::CurvedShapeObject;
use vars qw(@ISA $VERSION @EXPORT @EXPORT_OK);
@ISA = qw(XFig::CurvedShapeObject);
$VERSION = '0.01';

####################### Package Global Variables ###################
use vars qw();




############################# Raw Code  ############################
				      
				      
########################## Class Methods ###########################

#line 2705 "fig.pxx"
sub new {
    carp('Usage: XFig::Arc::new(class, args)') unless (@_ == 2);
    my($class) = $_[0]; CORE::ref($class) eq '' or carp(sprintf('XFig::Arc::new: ref($class) = %s instead of .', CORE::ref($class))); 
    my($args) = $_[1]; ((!$args) || (CORE::ref($args) eq 'HASH')) or carp(sprintf('XFig::Arc::new: ref($args) = %s instead of HASH.', ref($args))); 
#line 2706 "fig.pxx"
    $args->{object_code} = 5;
    my $self = $class->SUPER::new($args);
    $self->initFields($args, qw(direction forward_arrow backward_arrow center_x center_y x1 y1 x2 y2 x3 y3));
    return $self;
}

########################## Instance Methods ########################

###
# Accessors
#line 2689 "fig.pxx"
sub backward_arrow       {  return ( $#_ == 0 ) ? $_[0]->{backward_arrow} : ( $_[0]->{backward_arrow} = $_[1] );  }
#line 2691 "fig.pxx"
sub center_x             {  return ( $#_ == 0 ) ? $_[0]->{center_x} : ( $_[0]->{center_x} = $_[1] );  }
#line 2692 "fig.pxx"
sub center_y             {  return ( $#_ == 0 ) ? $_[0]->{center_y} : ( $_[0]->{center_y} = $_[1] );  }
#line 2686 "fig.pxx"
sub direction            {  return ( $#_ == 0 ) ? $_[0]->{direction} : ( $_[0]->{direction} = $_[1] );  }
#line 2688 "fig.pxx"
sub forward_arrow        {  return ( $#_ == 0 ) ? $_[0]->{forward_arrow} : ( $_[0]->{forward_arrow} = $_[1] );  }
#line 2689 "fig.pxx"
sub incrBackward_arrow   {  return $_[0]->{backward_arrow} += (defined($_[1]) ? $_[1] : 1); }
#line 2691 "fig.pxx"
sub incrCenter_x         {  return $_[0]->{center_x} += (defined($_[1]) ? $_[1] : 1); }
#line 2692 "fig.pxx"
sub incrCenter_y         {  return $_[0]->{center_y} += (defined($_[1]) ? $_[1] : 1); }
#line 2686 "fig.pxx"
sub incrDirection        {  return $_[0]->{direction} += (defined($_[1]) ? $_[1] : 1); }
#line 2688 "fig.pxx"
sub incrForward_arrow    {  return $_[0]->{forward_arrow} += (defined($_[1]) ? $_[1] : 1); }
#line 2694 "fig.pxx"
sub incrX1               {  return $_[0]->{x1} += (defined($_[1]) ? $_[1] : 1); }
#line 2697 "fig.pxx"
sub incrX2               {  return $_[0]->{x2} += (defined($_[1]) ? $_[1] : 1); }
#line 2700 "fig.pxx"
sub incrX3               {  return $_[0]->{x3} += (defined($_[1]) ? $_[1] : 1); }
#line 2695 "fig.pxx"
sub incrY1               {  return $_[0]->{y1} += (defined($_[1]) ? $_[1] : 1); }
#line 2698 "fig.pxx"
sub incrY2               {  return $_[0]->{y2} += (defined($_[1]) ? $_[1] : 1); }
#line 2701 "fig.pxx"
sub incrY3               {  return $_[0]->{y3} += (defined($_[1]) ? $_[1] : 1); }
#line 2694 "fig.pxx"
sub x1                   {  return ( $#_ == 0 ) ? $_[0]->{x1} : ( $_[0]->{x1} = $_[1] );  }
#line 2697 "fig.pxx"
sub x2                   {  return ( $#_ == 0 ) ? $_[0]->{x2} : ( $_[0]->{x2} = $_[1] );  }
#line 2700 "fig.pxx"
sub x3                   {  return ( $#_ == 0 ) ? $_[0]->{x3} : ( $_[0]->{x3} = $_[1] );  }
#line 2695 "fig.pxx"
sub y1                   {  return ( $#_ == 0 ) ? $_[0]->{y1} : ( $_[0]->{y1} = $_[1] );  }
#line 2698 "fig.pxx"
sub y2                   {  return ( $#_ == 0 ) ? $_[0]->{y2} : ( $_[0]->{y2} = $_[1] );  }
#line 2701 "fig.pxx"
sub y3                   {  return ( $#_ == 0 ) ? $_[0]->{y3} : ( $_[0]->{y3} = $_[1] );  }
# End Accessors
###

###
# User Code
#line 1 "GENERATED CODE"
sub initState {
    carp('Usage: XFig::Arc::initState(self)') unless (@_ == 1);
    my($self) = $_[0]; ((!$self) || ($self->isa('XFig::Arc'))) or carp(sprintf('XFig::Arc::initState: NOT $self->isa(XFig::Arc)')); 
#line 3 "GENERATED CODE"
{
    $_[0]->SUPER::initState();
    $_[0]->extend({
        # y1 => '',
        # x2 => '',
        # center_y => '',
        # forward_arrow => '',
        # center_x => '',
        # x1 => '',
        # x3 => '',
        # direction => '',
        # backward_arrow => '',
        # y3 => '',
        # y2 => '',
    });
}}
# User Code
###

###
# Post text

# Post text
###

########################## END OF MODULE ###########################
1;

__DATA__


__END__

=head1 PUBLIC CLASS INTERFACE

=over 4



=head1 PUBLIC INSTANCE INTERFACE

=over 4

=head2 initState()
Automated method for initializing Perl class state based on field definitions.

=cut

=head1 AUTHOR

Wade Holst

=head1 SEE ALSO

perl(1).

=cut         