package XFig::CurvedShapeObject;
use strict;

=head1 NAME

XFig::CurvedShapeObject -

=head1 SYNOPSIS

use XFig::CurvedShapeObject ();

=head1 DESCRIPTION


=head1 NOTES


=head1 EXAMPLES


=head1 IMPLEMENTATION

=cut

use Carp;                      # everyone gets Carp!
use IO::File;                  # everyone gets IO::File!
use IO::File;
use XFig::ShapeObject;
use vars qw(@ISA $VERSION @EXPORT @EXPORT_OK);
@ISA = qw(XFig::ShapeObject);
$VERSION = '0.01';

####################### Package Global Variables ###################
use vars qw();




############################# Raw Code  ############################
				      
				      
########################## Class Methods ###########################

#line 2788 "fig.pxx"
sub new {
    carp('Usage: XFig::CurvedShapeObject::new(class, args)') unless (@_ == 2);
    my($class) = $_[0]; CORE::ref($class) eq '' or carp(sprintf('XFig::CurvedShapeObject::new: ref($class) = %s instead of .', CORE::ref($class))); 
    my($args) = $_[1]; ((!$args) || (CORE::ref($args) eq 'HASH')) or carp(sprintf('XFig::CurvedShapeObject::new: ref($args) = %s instead of HASH.', ref($args))); 
#line 2790 "fig.pxx"
    my $self = $class->SUPER::new($args);
    $self->initFields($args, qw(cap_style));
    return $self;
}

########################## Instance Methods ########################

###
# Accessors
#line 2784 "fig.pxx"
sub cap_style            {  return ( $#_ == 0 ) ? $_[0]->{cap_style} : ( $_[0]->{cap_style} = $_[1] );  }
#line 2784 "fig.pxx"
sub incrCap_style        {  return $_[0]->{cap_style} += (defined($_[1]) ? $_[1] : 1); }
# End Accessors
###

###
# User Code
#line 1 "GENERATED CODE"
sub initState {
    carp('Usage: XFig::CurvedShapeObject::initState(self)') unless (@_ == 1);
    my($self) = $_[0]; ((!$self) || ($self->isa('XFig::CurvedShapeObject'))) or carp(sprintf('XFig::CurvedShapeObject::initState: NOT $self->isa(XFig::CurvedShapeObject)')); 
#line 3 "GENERATED CODE"
{
    $_[0]->SUPER::initState();
    $_[0]->extend({
        # cap_style => '',
    });
}}
# User Code
###

###
# Post text

# Post text
###

########################## END OF MODULE ###########################
1;

__DATA__


__END__

=head1 PUBLIC CLASS INTERFACE

=over 4

=head1 new(Hash $args)
We do not call 'adjustArgs' because our ancestor already does it.

=cut

=head1 PUBLIC INSTANCE INTERFACE

=over 4

=head2 initState()
Automated method for initializing Perl class state based on field definitions.

=cut

=head1 AUTHOR

Wade Holst

=head1 SEE ALSO

perl(1).

=cut         