package XFig::Polygon;
use strict;

=head1 NAME

XFig::Polygon -

=head1 SYNOPSIS

use XFig::Polygon ();

=head1 DESCRIPTION


=head1 NOTES


=head1 EXAMPLES


=head1 IMPLEMENTATION

=cut

use Carp;                      # everyone gets Carp!
use IO::File;                  # everyone gets IO::File!
use XFig::Polyline;
use IO::File;
use vars qw(@ISA $VERSION @EXPORT @EXPORT_OK);
@ISA = qw(XFig::Polyline);
$VERSION = '0.01';

####################### Package Global Variables ###################
use vars qw();




############################# Raw Code  ############################
				      
				      
########################## Class Methods ###########################

#line 2443 "fig.pxx"
sub new {
    carp('Usage: XFig::Polygon::new(class, args)') unless (@_ == 2);
    my($class) = $_[0]; CORE::ref($class) eq '' or carp(sprintf('XFig::Polygon::new: ref($class) = %s instead of .', CORE::ref($class))); 
    my($args) = $_[1]; ((!$args) || (CORE::ref($args) eq 'HASH')) or carp(sprintf('XFig::Polygon::new: ref($args) = %s instead of HASH.', ref($args))); 
#line 2444 "fig.pxx"
    $args->{sub_type} = 3;
    my $self = $class->SUPER::new($args);
    return $self;
}

########################## Instance Methods ########################

###
# Accessors

# End Accessors
###

###
# User Code
#line 1 "GENERATED CODE"
sub initState {
    carp('Usage: XFig::Polygon::initState(self)') unless (@_ == 1);
    my($self) = $_[0]; ((!$self) || ($self->isa('XFig::Polygon'))) or carp(sprintf('XFig::Polygon::initState: NOT $self->isa(XFig::Polygon)')); 
#line 3 "GENERATED CODE"
{
    $_[0]->SUPER::initState();
    $_[0]->extend({
    });
}}

#line 2451 "fig.pxx"
sub validate {
    carp('Usage: XFig::Polygon::validate(self)') unless (@_ == 1);
    my($self) = $_[0]; ((!$self) || ($self->isa('XFig::Polygon'))) or carp(sprintf('XFig::Polygon::validate: NOT $self->isa(XFig::Polygon)')); 
#line 2452 "fig.pxx"
    my $ok = $self->SUPER::validate();
    # Ensure that first point equals last point
    my $p = $self->points();
    my $first = $p->[0];
    my $last = $p->[$#$p];
    if ( ( $first->[0] != $last->[0] ) ||
         ( $first->[1] != $last->[1] ) ) {
        die(sprintf("ERROR: Polygon failed validation:  <%d,%d> != <%d,%d>\n", @$first, @$last));
    }
    die("ERROR: Stopping due to errors") unless $ok;
}
# User Code
###

###
# Post text

# Post text
###

########################## END OF MODULE ###########################
1;

__DATA__


__END__

=head1 PUBLIC CLASS INTERFACE

=over 4



=head1 PUBLIC INSTANCE INTERFACE

=over 4

=head2 initState()
Automated method for initializing Perl class state based on field definitions.

=cut

=head1 AUTHOR

Wade Holst

=head1 SEE ALSO

perl(1).

=cut         